Sandbox
Help

Crypto Ramp API2.0.0

Revolut’s Crypto Ramp API allows you to integrate with Revolut and redirect users directly to our checkout page, providing a smooth onramping experience for your users. The API endpoints are organised into thematic groups and let you leverage the following features:

  • Partners - poll different exchange rates, display them on your website and compare with other providers
  • Webhooks - track order and payment lifecycle with webhooks

For more information, see the guides: Leverage the Crypto Ramp API and Work with Webhooks -> Track order and payment lifecycle

Authentication

Security scheme type:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Partners

The Partners endpoints let you poll different exchange rates, display them on your website and compare them with other providers.

For more details, see the guides: Leverage the Crypto Ramp API.

Retrieve configuration

Request

Header parameters
X-API-KEY

Response

OK

Body
object
version
stringrequired
countries
arrayrequired
fiat
arrayrequired
crypto
arrayrequired
feePercentages
array
payment_methods
arrayrequired
get/config
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/config" \
  -H "Authorization: Bearer <yourSecretApiKey>" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "$ref": "#/components/schemas/Config/example"
}

Retrieve an order quote

Request

Query parameters
fiat
stringrequired
amount
number(float)required
crypto
stringrequired
payment
stringrequired
region
stringrequired
feePercentage
number(float)
walletAddress
string

Response

OK

Body
object
service_fee
objectrequired
network_fee
objectrequired
crypto
objectrequired
partner_fee
objectrequired
get/quote
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/quote?fiat=string&amount=123&crypto=string&payment=google-pay&region=string&feePercentage=123&walletAddress=string" \
  -H "Authorization: Bearer <yourSecretApiKey>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "$ref": "#/components/schemas/Quote/example"
}

Retrieve a redirect URL

Retrieve a redirect URL to the Ramp app widget for provided buy parameters. Use it to redirect the customer to Revolut Ramp to make the purchase.

The amount in the Redirect URL is provided in minor currency units. For example, GBP 12.00 is represented as 1200.

For more information, see the guides: Leverage the Crypto Ramp API -> Get a Revolut Ramp Redirect URL.

Request

Header parameters
X-API-KEY
Query parameters
fiat
stringrequired
amount
number(float)required
crypto
stringrequired
payment
stringrequired
region
stringrequired
wallet
stringrequired
orderId
string(uuid | ulid)
feePercentage
number(float)
partnerRedirectUrl
string
additionalProperties
string

Response

The requested redirect URL

The amount in the Redirect URL is provided in minor currency units. For example, GBP 12.00 is represented as 1200.

Body
object
ramp_redirect_url
string(uri)required
get/buy
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/buy?fiat=string&amount=123&crypto=string&payment=google-pay&region=string&wallet=string&orderId=uuid%20%7C%20ulid&feePercentage=123&partnerRedirectUrl=string&additionalProperties=string" \
  -H "Authorization: Bearer <yourSecretApiKey>" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "$ref": "#/components/schemas/RampRedirectUrl/example"
}

Retrieve an order

Request

Header parameters
X-API-KEY
Path parameters
order_id
string(uuid | ulid)required
Query parameters
wallet
stringrequired

Response

OK

Body
object
id
string(uuid)required
fiat
objectrequired
crypto
objectrequired
fees
objectrequired
exchange_rate
number(float)required
payment
stringrequired
created_at
string(date-time)required
updated_at
string(date-time)required
status
stringrequired
fail_reason
string
wallet
stringrequired
transaction_hash
string
additionalProperties
object
fees_partner_currency
objectrequired
get/orders/{order_id}
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/orders/uuid | ulid?wallet=string" \
  -H "Authorization: Bearer <yourSecretApiKey>" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "$ref": "#/components/schemas/Order/example"
}

Retrieve all orders

Request

Header parameters
X-API-KEY
Query parameters
start
string(date)required
end
string(date)required
skip
integer(int32)
limit
integer(int32)

Response

OK

Body
array of object
id
string(uuid)required
fiat
objectrequired
crypto
objectrequired
fees
objectrequired
exchange_rate
number(float)required
payment
stringrequired
created_at
string(date-time)required
updated_at
string(date-time)required
status
stringrequired
fail_reason
string
wallet
stringrequired
transaction_hash
string
additionalProperties
object
fees_partner_currency
objectrequired
get/orders
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/orders?start=2024-01-01&end=2024-01-01&skip=0&limit=100" \
  -H "Authorization: Bearer <yourSecretApiKey>" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "$ref": "#/components/schemas/Orders/example"
}

Webhooks

Retrieve a webhook

Request

Header parameters
X-API-KEY
Path parameters
webhook_id
string(uuid)required

Response

The information about the webhook

Body
object
id
string(uuid)required
url
string(uri)required
events
arrayrequired
signing_secret
stringrequired
get/webhooks/{webhook_id}
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/webhooks/123e4567-e89b-12d3-a456-426614174000" \
  -H "Authorization: Bearer <yourSecretApiKey>" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "$ref": "#/components/schemas/Webhook/example"
}

Update a webhook

Request

Header parameters
X-API-KEY
Path parameters
webhook_id
string(uuid)required
Request body
url
string(uri)
events
array

Response

The successfully updated webhook

Body
object
id
string(uuid)required
url
string(uri)required
events
arrayrequired
signing_secret
stringrequired
patch/webhooks/{webhook_id}
curl -X PATCH "https://ramp-partners.revolut.com/partners/api/2.0/webhooks/123e4567-e89b-12d3-a456-426614174000" \
  -H "Authorization: Bearer <yourSecretApiKey>" \
  -H "Content-Type: application/json" \
  -H "X-API-KEY: <X-API-KEY>" \
  -d '{
  "url": "https://example.com",
  "events": [
    "ORDER_CREATED"
  ]
}'
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Request body samples

{
  "url": "https://example.com",
  "events": [
    "ORDER_CREATED"
  ]
}

Response body samples

{
  "$ref": "#/components/schemas/Webhook/example"
}

Delete a webhook

Request

Header parameters
X-API-KEY
Path parameters
webhook_id
string(uuid)required

Response

The webhook has been deleted

delete/webhooks/{webhook_id}
curl -X DELETE "https://ramp-partners.revolut.com/partners/api/2.0/webhooks/123e4567-e89b-12d3-a456-426614174000" \
  -H "Authorization: Bearer <yourSecretApiKey>" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

No contentThis response does not have a body.

Retrieve a list of webhooks

Request

Header parameters
X-API-KEY

Response

The list of all your existing webhooks

Body
array of object
id
string(uuid)required
url
string(uri)required
events
arrayrequired
signing_secret
stringrequired
get/webhooks
curl -X GET "https://ramp-partners.revolut.com/partners/api/2.0/webhooks" \
  -H "Authorization: Bearer <yourSecretApiKey>" \
  -H "X-API-KEY: <X-API-KEY>"
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Response body samples

{
  "$ref": "#/components/schemas/Webhooks/example"
}

Create a webhook

Request

Header parameters
X-API-KEY
Request body
url
string(uri)required
events
arrayrequired

Response

The successfully created webhook

Body
object
id
string(uuid)required
url
string(uri)required
events
arrayrequired
signing_secret
stringrequired
post/webhooks
curl -X POST "https://ramp-partners.revolut.com/partners/api/2.0/webhooks" \
  -H "Authorization: Bearer <yourSecretApiKey>" \
  -H "Content-Type: application/json" \
  -H "X-API-KEY: <X-API-KEY>" \
  -d '{
  "url": "https://example.com",
  "events": [
    "ORDER_CREATED"
  ]
}'
Authorization
SecuritySchemaType:apiKey
Header parameter name:X-API-KEY

Each Crypto Ramp API request must contain an authorization header in the following format to make a call: X-API-KEY: {your_API_key}.

Before you start, make sure that you have the correct API key. For more information, see the Get started guides: Integrate with Revolut Ramp -> 2. Get Partner keys.

Request body samples

{
  "url": "https://example.com",
  "events": [
    "ORDER_CREATED"
  ]
}

Response body samples

{
  "$ref": "#/components/schemas/Webhook/example"
}